Page MenuHomePhabricator

Ext:MediaWikiAuth disables the "Real name", "New signature", and "Email" input boxes in user preferences
Closed, ResolvedPublic

Description

When this extension is installed on a wiki, the "Real name", "New signature", and "Email" input boxes on Special:Preferences are absent, and the special page Special:ChangeEmail is deactivated, meaning their values cannot be changed. Any values already present will work as expected.

Details

Related Gerrit Patches:
mediawiki/extensions/MediaWikiAuth : masterNeed allowpropertychange to let users set email, signature, etc

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2018, 5:26 PM
Vvjjkkii renamed this task from Ext:MediaWikiAuth disables the "Real name" and "New signature" input boxes in user preferences to hlbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from hlbaaaaaaa to Ext:MediaWikiAuth disables the "Real name" and "New signature" input boxes in user preferences.Jul 1 2018, 8:41 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
corey added a subscriber: corey.Oct 14 2018, 10:05 PM

The same happens with the "Email options" section.

corey renamed this task from Ext:MediaWikiAuth disables the "Real name" and "New signature" input boxes in user preferences to Ext:MediaWikiAuth disables the "Real name", "New signature", and "Email" input boxes in user preferences.Oct 14 2018, 10:05 PM
corey updated the task description. (Show Details)
Dinoguy1000 updated the task description. (Show Details)Jan 20 2019, 6:44 PM
Isarra added a subscriber: Isarra.Apr 3 2019, 7:37 PM

OH THERE'S A TASK FOR THIS.

Change 501037 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/extensions/MediaWikiAuth@master] Need allowpropertychange to let users set email, signature, etc

https://gerrit.wikimedia.org/r/501037

Isarra closed this task as Resolved.Apr 17 2019, 6:29 PM
Isarra claimed this task.

Do we know what the patch actually does? Beats me, but this is fixed.

Change 501037 merged by jenkins-bot:
[mediawiki/extensions/MediaWikiAuth@master] Need allowpropertychange to let users set email, signature, etc

https://gerrit.wikimedia.org/r/501037